<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE struts-config PUBLIC "-//Apache Software Foundation//DTD Struts Configuration 1.1//EN"
                               "http://jakarta.apache.org/struts/dtds/struts-config_1_1.dtd">
<struts-config>
	<form-beans>
<!--	FORMULARIOS-->
		<form-bean
				name="w83aFormPreavisos"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
					<form-property name="w83aPreavisosNuevoBean" type="w83a.w83aBeans.W83aPreavisosBean"/>
					<form-property name="w83aprovincia" type="java.lang.String"/>
					<form-property name="w83amunicipio" type="java.lang.String" />
					<form-property name="w83aprovincia_alt" type="java.lang.String"/>
					<form-property name="w83amunicipio_alt" type="java.lang.String" />
					<form-property name="w83aprovinciaOriginal_alt" type="java.lang.String"/>
					<form-property name="w83amunicipioOriginal_alt" type="java.lang.String" />
					<form-property name="codSelecIrImpugnaciones" type="java.lang.String"/>	
					<form-property name="codSelecActa" type="java.lang.String"/>	
					<form-property name="camino" type="java.lang.String"/>
		</form-bean>
		
<!--	CONTEXTOS-->
		<form-bean
				name="contextoOP"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70ContextoOperacionDePresentacion">				   
					<form-property name="strTitleKeyPpal" type="java.lang.String" initial="comun.titulo.procesoelectoral"/>
					<form-property name="strTitleKey" type="java.lang.String" initial="menu.comun.preavisos"/>
					<form-property name="w83aMapaPreavisos" type="java.util.HashMap" />
					<form-property name="w83aMapaImpugnaciones" type="java.util.HashMap" />
					<form-property name="w83aPreavisosBeanSalida" type="w83a.w83aBeans.W83aPreavisosBean"/>
					<form-property name="w83aPreavisosNuevoBean" type="w83a.w83aBeans.W83aPreavisosBean"/>
					<form-property name="modoPantalla" type="java.lang.String" initial="B"/>
					<form-property name="w83aMapaFilePreavisos" type="java.util.HashMap" />
					<form-property name="codSelecEdicion" type="java.lang.String"/>
					<form-property name="codSelecIrImpugnaciones" type="java.lang.String"/>
					<form-property name="w83aCodTerritUsuario" type="java.lang.String" initial=""/>
					<form-property name="w83aprovincia" type="java.lang.String"/>
					<form-property name="w83amunicipio" type="java.lang.String" initial=""/>
					<form-property name="w83aprovincia_alt" type="java.lang.String"/>
					<form-property name="w83amunicipio_alt" type="java.lang.String" initial=""/>
					<form-property name="w83aprovinciaOriginal_alt" type="java.lang.String"/>
					<form-property name="w83amunicipioOriginal_alt" type="java.lang.String" initial=""/>
					<form-property name="w83aPreavisosNuevoBeanTemp" type="w83a.w83aBeans.W83aPreavisosBean"/>
					<form-property name="boton" type="java.lang.String" />
					<form-property name="w83aCentroTrabajoBean" type="w83a.w83aBeans.W83aCentroTrabajoBean"/>
					<form-property name="w83aCentroTrabajoNuevoBean" type="w83a.w83aBeans.W83aCentroTrabajoBean"/>
					<form-property name="w83aprovinciac" type="java.lang.String"/>
					<form-property name="w83amunicipioc" type="java.lang.String" />
					<form-property name="idDocumento" type="java.lang.String"/>
					<form-property name="w83aDocBean" type="w83a.w83aBeans.W83aDocBean"/>	
					<form-property name="w83aSubOpFlag" type="java.lang.String" initial="preavisos"/>
					<form-property name="camino" type="java.lang.String"/>
					<form-property name="tamanyoListaResults" type="java.lang.String"/>
					<form-property name="tamanyoListaResultsAux" type="java.lang.String"/>
					<form-property name="codSelecActa" type="java.lang.String"/>
					<form-property name="codSelec" type="java.lang.String"/>
					<form-property name="codSelecCentro" type="java.lang.String"/>
					<form-property name="numActaTerritorioSeleccionada" type="java.lang.String"/>
				   	<form-property name="numActaAnyoSeleccionada" type="java.lang.String"/>
				   	<form-property name="numActaNumeroSeleccionada" type="java.lang.String"/>
				   	<form-property name="numPreavisoTerritorioSeleccionada" type="java.lang.String"/>
				   	<form-property name="numPreavisoAnyoSeleccionada" type="java.lang.String"/>
				   	<form-property name="numPreavisoNumeroSeleccionada" type="java.lang.String"/>
				   	<form-property name="tipoBusquedaSeleccionada" type="java.lang.String"/>
					<form-property name="historico" type="java.lang.String"/>
					<form-property name="fechaEleccion" type="java.lang.String"/>
					<form-property name="w83aDocumentacionBean" type="w83a.w83aBeans.W83aDocumentacionBean"/>
					<form-property name="pestanyaPreaviso" type="java.lang.String"/>
					<form-property name="migas" type="java.lang.String" initial ="inicioportal.inicio.documentacionelectoral.documpreaviso"/>
					<form-property name="w83aNuevaActaBean" type="w83a.w83aBeans.W83aActasBean"/>
		</form-bean>
	</form-beans>
	<action-mappings type="es.ejie.frmk.presentacion.base.Q70PasosOPMapping">
	
		<action
				path="/w83aDispatchEdicion"
				name="w83aFormPreavisos"
				input="/w83aObtenerDetallesPreaviso.do"
				scope="request"
				validate="false"
				parameter="boton"
				i18nKey="w83acomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="comun.boton.atras"
					path="/w83aDispatchEdicionPreavisosAtras.do"/>
				<forward
					name="irActas"
					path="/w83aIrDetalleActa.do"/>
				<forward
					name="irImpugnaciones"
					path="/w83aIrDetalleImpugnacion.do"/>
				<forward
					name="volverDocumentacion"
					path="/w83aVolverDocumentacion.do"/>
				<forward
					name="volverActas"
					path="/w83aVolverActas.do"/>
		</action>
		<action
				path="/w83aDispatchEdicionPreavisosAtras"
				scope="request"
				parameter="w83aSubOpFlag"
				type="w83a.w83aUtilidades.W83aDispatchValueContexto">
				<forward
					name="actas"
					path="/w83aSubOpPreavisosEnd.do"/>
				<forward
					name="preavisos"
					path="/w83aSubOpPreavisosEnd.do"/>
				<forward
					name="busqueda"
					path="/w83aSubOpPreavisosEnd.do"/>
		</action>
		<action
				path="/w83aDispatchVueltaBusqueda"
				scope="request"
				parameter="w83aSubOpFlag"
				type="w83a.w83aUtilidades.W83aDispatchValueContexto">
				<forward
					name="actas"
					path="/w83aSubOpPreavisosEnd.do"/>
				<forward
					name="preavisos"
					path="/w83aObtenerDetallesPreavisoOI.do"/>
				
		</action>
		
		<action path="/w83aerror" forward="w83aPaginaError"></action>
		<!-- ACTAS -->
		<action path="/w83aIrDetalleActa"  scope="request" type="w83a.w83aOperacionesPaso.w83aPreavisos.W83aIraActasOPAction" 
			 validate="false">
			<forward name="ok" path="/w83aIraActasSubOp.do"/>
		</action>
		
		<action path="/w83aIraActasSubOp" parameter="/actasOP/w83aSubOpActasInit.do" scope="request"
	  				type="org.apache.struts.actions.IncludeAction" >
					<set-property property="subOpRetPath" value="/preavisosOP/w83aAntesVueltaActas.do" />
			</action>
		<action path="/w83aSubOpPreavisosDeImpugInit" scope="request" forward="/w83aAntesVueltaImpugnaciones.do">
			<set-property property="subOp" value="init" />
		</action>
		
		<action path="/w83aAntesVueltaActas" 
				scope="request" type="w83a.w83aOperacionesPaso.w83aPreavisos.W83aAntesVueltaActas" 
			 validate="false">
			<forward name="ok" path="/w83aDispatchVueltaBusqueda.do"/>
		</action>
		<!-- FIN ACTAS -->
		<!-- IMPUGNACION -->
		<action path="/w83aIrDetalleImpugnacion"  scope="request" type="w83a.w83aOperacionesPaso.w83aPreavisos.W83aIraImpugnacionesOPAction" 
			 validate="false">
			<forward name="ok" path="/w83aIraImpugnacionesSubOp.do"/>
		</action>
		
		<action path="/w83aIraImpugnacionesSubOp" parameter="/impugnacionesOP/w83aSubOpImpugnacionesInit.do" scope="request"
	  				type="org.apache.struts.actions.IncludeAction" >
					<set-property property="subOpRetPath" value="/preavisosOP/w83aAntesVueltaImpugnaciones.do" />
			</action>
		<action path="/w83aAntesVueltaImpugnaciones" 
				scope="request" type="w83a.w83aOperacionesPaso.w83aPreavisos.W83aAntesVueltaImpugnaciones" 
			 validate="false">
			<forward name="ok" path="/w83aDispatchVueltaBusqueda.do"/>
		</action>
		<!-- FIN IMPUGNACION -->
		<action path="/w83aObtenerDetallesPreaviso" forward="/w83aObtenerDetallesPreavisoOI.do">
			<set-property property="subOp" value="init" />
	    </action>
	    
	    <action path="/w83aInicioEdicionPreavisos" scope="request" type="w83a.w83aOperacionesPaso.w83aPreavisos.W83aIrEdicionPreavisoAction" 
			 validate="false">
			<forward name="ok" path="/w83aObtenerDetallesPreavisoOI.do"/>
			<forward name="error" path="/w83aObtenerDetallesPreavisoOI.do"/>
		</action>
		
		<action path ="/w83aObtenerDetallesPreavisoOI" 
			 parameter="w83aObtenerDetallesPreavisoOI" 
			 validate="false"  
			 input="/w83aInicioBusquedaPreavisos.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83aDetallesPreavisoOutOP.do" />
					<forward name="error" path="/w83aerror.do" />
		</action>
		
		<action path="/w83aDetallesPreavisoOutOP" scope="request" type="w83a.w83aOperacionesPaso.w83aPreavisos.W83aDetallesPreavisoOutOPAction" 
			 validate="false">
			<forward name="paginaDetalles" path="/w83aPaginaEdicionPreavisos.do" />
		</action>
		
		<action
				path ="/w83aPaginaEdicionPreavisos" forward="paginaEdicionPreavisos"/>
				
		<action path="/w83aObtenerDocumentoOP" scope="request" type="w83a.w83aOperacionesPaso.w83aComun.W83aDescargarDocumentoOPAction" 
			 validate="false">
			<forward name="ok" path="/w83aDescargarDocumentoOI.do"/>
			<forward name="error" path="/w83aGenericoOutOP.do"/>
		</action>
		
		<action path ="/w83aDescargarDocumentoOI" 
			 parameter="w83aDescargarDocumentoPreavisoOI" 
			  type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83aDescargarDocumentoOutOP.do" />
					<forward name="error" path="/w83aGenericoOutOP.do" />
		</action>
		
		<action path="/w83aDescargarDocumentoOutOP" 
		 scope="request" type="w83a.w83aOperacionesPaso.w83aComun.W83aDescargarDocumentoOutOPAction" 
			 validate="false">
		</action>	
		
		<action path="/w83aGenericoOutOP" scope="request" type="w83a.w83aOperacionesPaso.w83aPreavisos.W83aGenericoOutOPAction" 
			 validate="false">
		</action>
		<action path="/W83aGenericoPreavisosOPAction" 
			scope="request" type="w83a.w83aOperacionesPaso.w83aPreavisos.W83aGenericoOPAction" 
			 validate="false">
			<forward name="ok" path="/w83aObtenerDetallesPreavisoOI.do"/>
		</action>
		<!-- SUB-OPERACIONES -->
		<action path="/w83aSubOpPreavisosInit" scope="request" forward="/W83aGenericoPreavisosOPAction.do">
			<set-property property="subOp" value="init" />
		</action>
		
		<action path="/w83aSubOpPreavisosEnd" scope="request" forward="/w83aSubOpPreavisosInit.do">
			<set-property property="subOp" value="end" />
		</action>
		<action path="/w83aAntesVueltaPreavisos" 
				scope="request" type="w83a.w83aOperacionesPaso.w83aPreavisos.W83aAntesVueltaActas" 
			 validate="false">
			<forward name="ok" path="/w83aObtenerDetallesPreavisoOI.do"/>
		</action>
		<action path="/w83aIraCentrosTrabajoSubOp" parameter="/centroTrabajoOP/w83aSubOpCentroTrabajoInit.do" scope="request"
  				type="org.apache.struts.actions.IncludeAction" >
				<set-property property="subOpRetPath" value="/preavisosOP/w83aDispatchCentroTrabajoAtras.do" />
		</action>
		<action path="/w83aVolverDocumentacion" parameter="/documentacionOP/w83aSubOpDocumentacionInit.do" scope="request"
  				type="org.apache.struts.actions.IncludeAction" >
				<set-property property="subOpRetPath" value="/preavisosOP/w83aPaginaEdicionPreavisos.do" />
		</action>
		<action path="/w83aVolverActas" parameter="/actasOP/w83aSubOpActasDeImpugInit.do" scope="request"
  				type="org.apache.struts.actions.IncludeAction" >
				<set-property property="subOpRetPath" value="/preavisosOP/w83aPaginaEdicionPreavisos.do" />
		</action>
		<!-- FIN SUB-OPERACIONES -->
	</action-mappings>

	<controller processorClass="es.ejie.frmk.presentacion.operacion.Q70ProcesadorTilesOperacionDePresentacion" />
	
	<!-- Validaciones Genericas -->
	<plug-in className="es.ejie.frmk.presentacion.validacion.Q70ValidacionesGenericasPlugIn">
		<set-property property="pathnames" value="/WEB-INF/validators-config/validator-rules-w83a.xml"/>
	    <set-property property="i18nKey" value="w83acomun" />
	</plug-in>

</struts-config>